import { Entity } from "@minecraft/server";

Entity.prototype.getArmHP = function () {
  if (!this._armHP) this._armHP = { l: 100, r: 100 };
  return this._armHP;
};
Entity.prototype.getLegHP = function () {
  if (!this._legHP) this._legHP = { l: 100, r: 100 };
  return this._legHP;
};

/**
 * @param {"l"|"r"} side
 * @param {number} dmg
 */
Entity.prototype.damageArm = function (side, dmg) {
  const hp = this.getArmHP();
  hp[side] -= dmg;
  return hp[side];
};
Entity.prototype.damageLeg = function (side, dmg) {
  const hp = this.getLegHP();
  hp[side] -= dmg;
  return hp[side];
};
